Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types

    java.lang.Object
      com.xensource.xenapi.Types

    public class Types

extends Object

This class holds vital marshalling functions, enum types and exceptions.

Nested Class Summary
`static class` | `Types.ActivationWhileNotFree` An activation key can only be applied when the edition is set to 'free'.
`static class` | `Types.AfterApplyGuidance`
`static class` | `Types.AuthAlreadyEnabled` External authentication for this host is already enabled.
`static class` | `Types.AuthDisableFailed` The host failed to disable external authentication.
`static class` | `Types.AuthDisableFailedPermissionDenied` The host failed to disable external authentication.
`static class` | `Types.AuthDisableFailedWrongCredentials` The host failed to disable external authentication.
`static class` | `Types.AuthEnableFailed` The host failed to enable external authentication.
`static class` | `Types.AuthEnableFailedDomainLookupFailed` The host failed to enable external authentication.
`static class` | `Types.AuthEnableFailedPermissionDenied` The host failed to enable external authentication.
`static class` | `Types.AuthEnableFailedUnavailable` The host failed to enable external authentication.
`static class` | `Types.AuthEnableFailedWrongCredentials` The host failed to enable external authentication.
`static class` | `Types.AuthIsDisabled` External authentication is disabled, unable to resolve subject name.
`static class` | `Types.AuthServiceError` Error querying the external directory service.
`static class` | `Types.AuthUnknownType` Unknown type of external authentication.
`static class` | `Types.BackupScriptFailed` The backup could not be performed because the backup script failed.
`static class` | `Types.BadAsyncResult`
`static class` | `Types.BadServerResponse` Thrown if the response from the server contains an invalid status.
`static class` | `Types.BondMode`
`static class` | `Types.BootloaderFailed` The bootloader returned an error
`static class` | `Types.CannotAddTunnelToBondSlave` This PIF is a bond slave and cannot have a tunnel on it.
`static class` | `Types.CannotAddVlanToBondSlave` This PIF is a bond slave and cannot have a VLAN on it.
`static class` | `Types.CannotContactHost` Cannot forward messages because the host cannot be contacted.
`static class` | `Types.CannotCreateStateFile` An HA statefile could not be created, perhaps because no SR with the appropriate capability was found.
`static class` | `Types.CannotDestroyDisasterRecoveryTask` The disaster recovery task could not be cleanly destroyed.
`static class` | `Types.CannotDestroySystemNetwork` You tried to destroy a system network: these cannot be destroyed.
`static class` | `Types.CannotEnableRedoLog` Could not enable redo log.
`static class` | `Types.CannotEvacuateHost` This host cannot be evacuated.
`static class` | `Types.CannotFetchPatch` The requested update could to be obtained from the master.
`static class` | `Types.CannotFindOemBackupPartition` The backup partition to stream the updat to cannot be found
`static class` | `Types.CannotFindPatch` The requested update could not be found.
`static class` | `Types.CannotFindStatePartition` This operation could not be performed because the state partition could not be found
`static class` | `Types.CannotPlugBondSlave` This PIF is a bond slave and cannot be plugged.
`static class` | `Types.CannotPlugVif` Cannot plug VIF
`static class` | `Types.CannotResetControlDomain` The power-state of a control domain cannot be reset.
`static class` | `Types.CertificateAlreadyExists` A certificate already exists with the specified name.
`static class` | `Types.CertificateCorrupt` The specified certificate is corrupt or unreadable.
`static class` | `Types.CertificateDoesNotExist` The specified certificate does not exist.
`static class` | `Types.CertificateLibraryCorrupt` The certificate library is corrupt or unreadable.
`static class` | `Types.CertificateNameInvalid` The specified certificate name is invalid.
`static class` | `Types.ChangePasswordRejected` The system rejected the password change request; perhaps the new password was too short?
`static class` | `Types.Cls`
`static class` | `Types.ConsoleProtocol`
`static class` | `Types.CouldNotFindNetworkInterfaceWithSpecifiedDeviceNameAndMacAddress` Could not find a network interface with the specified device name and MAC address.
`static class` | `Types.CouldNotImportDatabase` An error occurred while attempting to import a database from a metadata VDI
`static class` | `Types.CpuFeatureMaskingNotSupported` The CPU does not support masking of features.
`static class` | `Types.CrlAlreadyExists` A CRL already exists with the specified name.
`static class` | `Types.CrlCorrupt` The specified CRL is corrupt or unreadable.
`static class` | `Types.CrlDoesNotExist` The specified CRL does not exist.
`static class` | `Types.CrlNameInvalid` The specified CRL name is invalid.
`static class` | `Types.DbUniquenessConstraintViolation` You attempted an operation which would have resulted in duplicate keys in the database.
`static class` | `Types.DefaultSrNotFound` The default SR reference does not point to a valid SR
`static class` | `Types.DeviceAlreadyAttached` The device is already attached to a VM
`static class` | `Types.DeviceAlreadyDetached` The device is not currently attached
`static class` | `Types.DeviceAlreadyExists` A device with the name given already exists on the selected VM
`static class` | `Types.DeviceAttachTimeout` A timeout happened while attempting to attach a device to a VM.
`static class` | `Types.DeviceDetachRejected` The VM rejected the attempt to detach the device.
`static class` | `Types.DeviceDetachTimeout` A timeout happened while attempting to detach a device from a VM.
`static class` | `Types.DeviceNotAttached` The operation could not be performed because the VBD was not connected to the VM.
`static class` | `Types.DiskVbdMustBeReadwriteForHvm` All VBDs of type 'disk' must be read/write for HVM guests
`static class` | `Types.DomainBuilderError` An internal error generated by the domain builder.
`static class` | `Types.DomainExists` The operation could not be performed because a domain still exists for the specified VM.
`static class` | `Types.DuplicatePifDeviceName` A PIF with this specified device name already exists.
`static class` | `Types.DuplicateVm` Cannot restore this VM because it would create a duplicate
`static class` | `Types.EventFromTokenParseFailure` The event.from token could not be parsed.
`static class` | `Types.EventOperation`
`static class` | `Types.EventsLost` Some events have been lost from the queue and cannot be retrieved.
`static class` | `Types.EventSubscriptionParseFailure` The server failed to parse your event subscription.
`static class` | `Types.FeatureRequiresHvm` The VM is set up to use a feature that requires it to boot as HVM.
`static class` | `Types.FeatureRestricted` The use of this feature is restricted.
`static class` | `Types.FieldTypeError` The value specified is of the wrong type
`static class` | `Types.GpuGroupContainsPgpu` The GPU group contains active PGPUs and cannot be deleted.
`static class` | `Types.GpuGroupContainsVgpu` The GPU group contains active VGPUs and cannot be deleted.
`static class` | `Types.HaAbortNewMaster` This host cannot accept the proposed new master setting at this time.
`static class` | `Types.HaCannotChangeBondStatusOfMgmtIface` This operation cannot be performed because creating or deleting a bond involving the management interface is not allowed while HA is on.
`static class` | `Types.HaConstraintViolationNetworkNotShared` This operation cannot be performed because the referenced network is not properly shared.
`static class` | `Types.HaConstraintViolationSrNotShared` This operation cannot be performed because the referenced SR is not properly shared.
`static class` | `Types.HaFailedToFormLiveset` HA could not be enabled on the Pool because a liveset could not be formed: check storage and network heartbeat paths.
`static class` | `Types.HaHeartbeatDaemonStartupFailed` The host could not join the liveset because the HA daemon failed to start.
`static class` | `Types.HaHostCannotAccessStatefile` The host could not join the liveset because the HA daemon could not access the heartbeat disk.
`static class` | `Types.HaHostCannotSeePeers` The operation failed because the HA software on the specified host could not see a subset of other hosts.
`static class` | `Types.HaHostIsArmed` The operation could not be performed while the host is still armed; it must be disarmed first
`static class` | `Types.HaIsEnabled` The operation could not be performed because HA is enabled on the Pool
`static class` | `Types.HaLostStatefile` This host lost access to the HA statefile.
`static class` | `Types.HandleInvalid` You gave an invalid object reference.
`static class` | `Types.HaNoPlan` Cannot find a plan for placement of VMs as there are no other hosts available.
`static class` | `Types.HaNotEnabled` The operation could not be performed because HA is not enabled on the Pool
`static class` | `Types.HaNotInstalled` The operation could not be performed because the HA software is not installed on this host.
`static class` | `Types.HaOperationWouldBreakFailoverPlan` This operation cannot be performed because it would invalidate VM failover planning such that the system would be unable to guarantee to restart protected VMs after a Host failure.
`static class` | `Types.HaPoolIsEnabledButHostIsDisabled` This host cannot join the pool because the pool has HA enabled but this host has HA disabled.
`static class` | `Types.HaShouldBeFenced` Host cannot rejoin pool because it should have fenced (it is not in the master's partition)
`static class` | `Types.HaTooFewHosts` HA can only be enabled for 2 hosts or more.
`static class` | `Types.HostAllowedOperations`
`static class` | `Types.HostBroken` This host failed in the middle of an automatic failover operation and needs to retry the failover action
`static class` | `Types.HostCannotAttachNetwork` Host cannot attach network (in the case of NIC bonding, this may be because attaching the network on this host would require other networks [that are currently active] to be taken down).
`static class` | `Types.HostCannotDestroySelf` The pool master host cannot be removed.
`static class` | `Types.HostCannotReadMetrics` The metrics of this host could not be read.
`static class` | `Types.HostCdDriveEmpty` The host CDROM drive does not contain a valid CD
`static class` | `Types.HostDisabled` The specified host is disabled.
`static class` | `Types.HostDisabledUntilReboot` The specified host is disabled and cannot be re-enabled until after it has rebooted.
`static class` | `Types.HostEvacuateInProgress` This host is being evacuated.
`static class` | `Types.HostHasNoManagementIp` The host failed to acquire an IP address on its management interface and therefore cannot contact the master.
`static class` | `Types.HostHasResidentVms` This host can not be forgotten because there are some user VMs still running
`static class` | `Types.HostInEmergencyMode` Cannot perform operation as the host is running in emergency mode.
`static class` | `Types.HostInUse` This operation cannot be completed as the host is in use by (at least) the object of type and ref echoed below.
`static class` | `Types.HostIsLive` This operation cannot be completed as the host is still live.
`static class` | `Types.HostIsSlave` You cannot make regular API calls directly on a slave.
`static class` | `Types.HostItsOwnSlave` The host is its own slave.
`static class` | `Types.HostMasterCannotTalkBack` The master reports that it cannot talk back to the slave on the supplied management IP address.
`static class` | `Types.HostNameInvalid` The host name is invalid.
`static class` | `Types.HostNotDisabled` This operation cannot be performed because the host is not disabled.
`static class` | `Types.HostNotEnoughFreeMemory` Not enough host memory is available to perform this operation
`static class` | `Types.HostNotLive` This operation cannot be completed as the host is not live.
`static class` | `Types.HostOffline` You attempted an operation which involves a host which could not be contacted.
`static class` | `Types.HostPowerOnModeDisabled` This operation cannot be completed as the host power on mode is disabled.
`static class` | `Types.HostsNotCompatible` The hosts in this pool are not compatible.
`static class` | `Types.HostsNotHomogeneous` The hosts in this pool are not homogeneous.
`static class` | `Types.HostStillBooting` The host toolstack is still initialising.
`static class` | `Types.HostUnknownToMaster` The master says the host is not known to it.
`static class` | `Types.IllegalVbdDevice` The specified VBD device is not recognized: please use a non-negative integer
`static class` | `Types.ImportError` The VM could not be imported.
`static class` | `Types.ImportErrorAttachedDisksNotFound` The VM could not be imported because attached disks could not be found.
`static class` | `Types.ImportErrorCannotHandleChunked` Cannot import VM using chunked encoding.
`static class` | `Types.ImportErrorFailedToFindObject` The VM could not be imported because a required object could not be found.
`static class` | `Types.ImportErrorPrematureEof` The VM could not be imported; the end of the file was reached prematurely.
`static class` | `Types.ImportErrorSomeChecksumsFailed` Some data checksums were incorrect; the VM may be corrupt.
`static class` | `Types.ImportErrorUnexpectedFile` The VM could not be imported because the XVA file is invalid: an unexpected file was encountered.
`static class` | `Types.ImportIncompatibleVersion` The import failed because this export has been created by a different (incompatible) product version
`static class` | `Types.InterfaceHasNoIp` The specified interface cannot be used because it has no IP address
`static class` | `Types.InternalError` The server failed to handle your request, due to an internal error.
`static class` | `Types.InvalidDevice` The device name is invalid
`static class` | `Types.InvalidEdition` The edition you supplied is invalid.
`static class` | `Types.InvalidFeatureString` The given feature string is not valid.
`static class` | `Types.InvalidIpAddressSpecified` A required parameter contained an invalid IP address
`static class` | `Types.InvalidPatch` The uploaded patch file is invalid
`static class` | `Types.InvalidPatchWithLog` The uploaded patch file is invalid.
`static class` | `Types.InvalidValue` The value given is invalid
`static class` | `Types.IpConfigurationMode`
`static class` | `Types.Ipv6ConfigurationMode`
`static class` | `Types.IsTunnelAccessPif` You tried to create a VLAN or tunnel on top of a tunnel access PIF - use the underlying transport PIF instead.
`static class` | `Types.JoiningHostCannotBeMasterOfOtherHosts` The host joining the pool cannot already be a master of another pool.
`static class` | `Types.JoiningHostCannotContainSharedSrs` The host joining the pool cannot contain any shared storage.
`static class` | `Types.JoiningHostCannotHaveRunningOrSuspendedVms` The host joining the pool cannot have any running or suspended VMs.
`static class` | `Types.JoiningHostCannotHaveRunningVms` The host joining the pool cannot have any running VMs.
`static class` | `Types.JoiningHostCannotHaveVmsWithCurrentOperations` The host joining the pool cannot have any VMs with active tasks.
`static class` | `Types.JoiningHostConnectionFailed` There was an error connecting to the host while joining it in the pool.
`static class` | `Types.JoiningHostServiceFailed` There was an error connecting to the host.
`static class` | `Types.LicenceRestriction` This operation is not allowed under your license.
`static class` | `Types.LicenseCannotDowngradeWhileInPool` Cannot downgrade license while in pool.
`static class` | `Types.LicenseCheckoutError` The license for the edition you requested is not available.
`static class` | `Types.LicenseDoesNotSupportPooling` This host cannot join a pool because it's license does not support pooling
`static class` | `Types.LicenseDoesNotSupportXha` XHA cannot be enabled because this host's license does not allow it
`static class` | `Types.LicenseExpired` Your license has expired.
`static class` | `Types.LicenseFileDeprecated` This license file is no longer accepted.
`static class` | `Types.LicenseProcessingError` There was an error processing your license.
`static class` | `Types.LocationNotUnique` A VDI with the specified location already exists within the SR
`static class` | `Types.MacDoesNotExist` The MAC address specified doesn't exist on this host.
`static class` | `Types.MacInvalid` The MAC address specified is not valid.
`static class` | `Types.MacStillExists` The MAC address specified still exists on this host.
`static class` | `Types.MapDuplicateKey` You tried to add a key-value pair to a map, but that key is already there.
`static class` | `Types.MessageDeprecated` This message has been deprecated.
`static class` | `Types.MessageMethodUnknown` You tried to call a method that does not exist.
`static class` | `Types.MessageParameterCountMismatch` You tried to call a method with the incorrect number of parameters.
`static class` | `Types.MessageRemoved` This function is no longer available.
`static class` | `Types.MirrorFailed` The VDI mirroring cannot be performed
`static class` | `Types.MissingConnectionDetails` The license-server connection details (address or port) were missing or incomplete.
`static class` | `Types.NetworkAlreadyConnected` You tried to create a PIF, but the network you tried to attach it to is already attached to some other PIF, and so the creation failed.
`static class` | `Types.NetworkContainsPif` The network contains active PIFs and cannot be deleted.
`static class` | `Types.NetworkContainsVif` The network contains active VIFs and cannot be deleted.
`static class` | `Types.NetworkDefaultLockingMode`
`static class` | `Types.NetworkOperations`
`static class` | `Types.NoHostsAvailable` There were no hosts available to complete the specified operation.
`static class` | `Types.NoMoreRedoLogsAllowed` The upper limit of active redo log instances was reached.
`static class` | `Types.NotAllowedOnOemEdition` This command is not allowed on the OEM edition.
`static class` | `Types.NotImplemented` The function is not implemented
`static class` | `Types.NotInEmergencyMode` This pool is not in emergency mode.
`static class` | `Types.NotSupportedDuringUpgrade` This operation is not supported during an upgrade.
`static class` | `Types.NotSystemDomain` The given VM is not registered as a system domain.
`static class` | `Types.ObjectNolongerExists` The specified object no longer exists.
`static class` | `Types.OnBoot`
`static class` | `Types.OnCrashBehaviour`
`static class` | `Types.OnlyAllowedOnOemEdition` This command is only allowed on the OEM edition.
`static class` | `Types.OnNormalExit`
`static class` | `Types.OpenvswitchNotActive` This operation needs the OpenVSwitch networking backend to be enabled on all hosts in the pool.
`static class` | `Types.OperationBlocked` You attempted an operation that was explicitly blocked (see the blocked_operations field of the given object).
`static class` | `Types.OperationNotAllowed` You attempted an operation that was not allowed.
`static class` | `Types.OperationPartiallyFailed` Some VMs belonging to the appliance threw an exception while carrying out the specified operation
`static class` | `Types.OtherOperationInProgress` Another operation involving the object is currently in progress
`static class` | `Types.OutOfSpace` There is not enough space to upload the update
`static class` | `Types.PatchAlreadyApplied` This patch has already been applied
`static class` | `Types.PatchAlreadyExists` The uploaded patch file already exists
`static class` | `Types.PatchApplyFailed` The patch apply failed.
`static class` | `Types.PatchIsApplied` The specified patch is applied and cannot be destroyed.
`static class` | `Types.PatchPrecheckFailedIsoMounted` XenServer Tools ISO must be ejected from all running VMs.
`static class` | `Types.PatchPrecheckFailedPrerequisiteMissing` The patch precheck stage failed: prerequisite patches are missing.
`static class` | `Types.PatchPrecheckFailedUnknownError` The patch precheck stage failed with an unknown error.
`static class` | `Types.PatchPrecheckFailedVmRunning` The patch precheck stage failed: there are one or more VMs still running on the server.
`static class` | `Types.PatchPrecheckFailedWrongServerBuild` The patch precheck stage failed: the server is of an incorrect build.
`static class` | `Types.PatchPrecheckFailedWrongServerVersion` The patch precheck stage failed: the server is of an incorrect version.
`static class` | `Types.PbdExists` A PBD already exists connecting the SR to the host
`static class` | `Types.PermissionDenied` Caller not allowed to perform this operation.
`static class` | `Types.PifAlreadyBonded` This operation cannot be performed because the pif is bonded.
`static class` | `Types.PifBondNeedsMoreMembers` A bond must consist of at least two member interfaces
`static class` | `Types.PifCannotBondCrossHost` You cannot bond interfaces across different hosts.
`static class` | `Types.PifConfigurationError` An unknown error occurred while attempting to configure an interface.
`static class` | `Types.PifDeviceNotFound` The specified device was not found.
`static class` | `Types.PifDoesNotAllowUnplug` The operation you requested cannot be performed because the specified PIF does not allow unplug.
`static class` | `Types.PifHasNoNetworkConfiguration` PIF has no IP configuration (mode curently set to 'none')
`static class` | `Types.PifHasNoV6NetworkConfiguration` PIF has no IPv6 configuration (mode curently set to 'none')
`static class` | `Types.PifIncompatiblePrimaryAddressType` The primary address types are not compatible
`static class` | `Types.PifIsManagementInterface` The operation you requested cannot be performed because the specified PIF is the management interface.
`static class` | `Types.PifIsPhysical` You tried to destroy a PIF, but it represents an aspect of the physical host configuration, and so cannot be destroyed.
`static class` | `Types.PifIsVlan` You tried to create a VLAN on top of another VLAN - use the underlying physical PIF/bond instead
`static class` | `Types.PifTunnelStillExists` Operation cannot proceed while a tunnel exists on this interface.
`static class` | `Types.PifVlanExists` You tried to create a PIF, but it already exists.
`static class` | `Types.PifVlanStillExists` Operation cannot proceed while a VLAN exists on this interface.
`static class` | `Types.PoolAuthAlreadyEnabled` External authentication in this pool is already enabled for at least one host.
`static class` | `Types.PoolAuthDisableFailed` The pool failed to disable the external authentication of at least one host.
`static class` | `Types.PoolAuthDisableFailedPermissionDenied` The pool failed to disable the external authentication of at least one host.
`static class` | `Types.PoolAuthDisableFailedWrongCredentials` The pool failed to disable the external authentication of at least one host.
`static class` | `Types.PoolAuthEnableFailed` The pool failed to enable external authentication.
`static class` | `Types.PoolAuthEnableFailedDomainLookupFailed` The pool failed to enable external authentication.
`static class` | `Types.PoolAuthEnableFailedDuplicateHostname` The pool failed to enable external authentication.
`static class` | `Types.PoolAuthEnableFailedInvalidOu` The pool failed to enable external authentication.
`static class` | `Types.PoolAuthEnableFailedPermissionDenied` The pool failed to enable external authentication.
`static class` | `Types.PoolAuthEnableFailedWrongCredentials` The pool failed to enable external authentication.
`static class` | `Types.PoolJoiningExternalAuthMismatch` Cannot join pool whose external authentication configuration is different.
`static class` | `Types.PoolJoiningHostMustHavePhysicalManagementNic` The host joining the pool must have a physical management NIC (i.e.
`static class` | `Types.PoolJoiningHostMustHaveSameProductVersion` The host joining the pool must have the same product version as the pool master.
`static class` | `Types.PrimaryAddressType`
`static class` | `Types.ProvisionFailedOutOfSpace` The provision call failed because it ran out of space.
`static class` | `Types.ProvisionOnlyAllowedOnTemplate` The provision call can only be invoked on templates, not regular VMs.
`static class` | `Types.RbacPermissionDenied` RBAC permission denied.
`static interface` | `Types.Record` Interface for all Record classes
`static class` | `Types.RedoLogIsEnabled` The operation could not be performed because a redo log is enabled on the Pool.
`static class` | `Types.RestoreIncompatibleVersion` The restore could not be performed because this backup has been created by a different (incompatible) product version
`static class` | `Types.RestoreScriptFailed` The restore could not be performed because the restore script failed.
`static class` | `Types.RestoreTargetMgmtIfNotInBackup` The restore could not be performed because the host's current management interface is not in the backup.
`static class` | `Types.RestoreTargetMissingDevice` The restore could not be performed because a network interface is missing
`static class` | `Types.RoleAlreadyExists` Role already exists.
`static class` | `Types.RoleNotFound` Role cannot be found.
`static class` | `Types.SessionAuthenticationFailed` The credentials given by the user are incorrect, so access has been denied, and you have not been issued a session handle.
`static class` | `Types.SessionInvalid` You gave an invalid session reference.
`static class` | `Types.SessionNotRegistered` This session is not registered to receive events.
`static class` | `Types.SlaveRequiresManagementInterface` The management interface on a slave cannot be disabled because the slave would enter emergency mode.
`static class` | `Types.SmPluginCommunicationFailure` The SM plugin did not respond to a query.
`static class` | `Types.SrAttachFailed` Attaching this SR failed.
`static class` | `Types.SrBackendFailure` There was an SR backend failure.
`static class` | `Types.SrDeviceInUse` The SR operation cannot be performed because a device underlying the SR is in use by the host.
`static class` | `Types.SrFull` The SR is full.
`static class` | `Types.SrHasMultiplePbds` The SR.shared flag cannot be set to false while the SR remains connected to multiple hosts
`static class` | `Types.SrHasNoPbds` The SR has no attached PBDs
`static class` | `Types.SrHasPbd` The SR is still connected to a host via a PBD.
`static class` | `Types.SrIndestructible` The SR could not be destroyed, as the 'indestructible' flag was set on it.
`static class` | `Types.SrNotEmpty` The SR operation cannot be performed because the SR is not empty.
`static class` | `Types.SrNotSharable` The PBD could not be plugged because the SR is in use by another host and is not marked as sharable.
`static class` | `Types.SrOperationNotSupported` The SR backend does not support the operation (check the SR's allowed operations)
`static class` | `Types.SrRequiresUpgrade` The operation cannot be performed until the SR has been upgraded
`static class` | `Types.SrUnknownDriver` The SR could not be connected because the driver was not recognised.
`static class` | `Types.SrUuidExists` An SR with that uuid already exists.
`static class` | `Types.SrVdiLockingFailed` The operation could not proceed because necessary VDIs were already locked at the storage level.
`static class` | `Types.SslVerifyError` The remote system's SSL certificate failed to verify against our certificate library.
`static class` | `Types.StorageOperations`
`static class` | `Types.SubjectAlreadyExists` Subject already exists.
`static class` | `Types.SubjectCannotBeResolved` Subject cannot be resolved by the external directory service.
`static class` | `Types.SystemStatusMustUseTarOnOem` You must use tar output to retrieve system status from an OEM host.
`static class` | `Types.SystemStatusRetrievalFailed` Retrieving system status from the host failed.
`static class` | `Types.TaskAllowedOperations`
`static class` | `Types.TaskCancelled` The request was asynchronously cancelled.
`static class` | `Types.TaskStatusType`
`static class` | `Types.TooBusy` The request was rejected because the server is too busy.
`static class` | `Types.TooManyPendingTasks` The request was rejected because there are too many pending tasks on the server.
`static class` | `Types.TooManyStorageMigrates` You reached the maximal number of concurrently migrating VMs.
`static class` | `Types.TransportPifNotConfigured` The tunnel transport PIF has no IP configuration set.
`static class` | `Types.UnknownBootloader` The requested bootloader is unknown
`static class` | `Types.UserIsNotLocalSuperuser` Only the local superuser can execute this operation
`static class` | `Types.UuidInvalid` The uuid you supplied was invalid.
`static class` | `Types.V6dFailure` There was a problem with the license daemon (v6d).
`static class` | `Types.ValueNotSupported` You attempted to set a value that is not supported by this implementation.
`static class` | `Types.VbdCdsMustBeReadonly` Read/write CDs are not supported
`static class` | `Types.VbdIsEmpty` Operation could not be performed because the drive is empty
`static class` | `Types.VbdMode`
`static class` | `Types.VbdNotEmpty` Operation could not be performed because the drive is not empty
`static class` | `Types.VbdNotRemovableMedia` Media could not be ejected because it is not removable
`static class` | `Types.VbdNotUnpluggable` Drive could not be hot-unplugged because it is not marked as unpluggable
`static class` | `Types.VbdOperations`
`static class` | `Types.VbdTrayLocked` This VM has locked the DVD drive tray, so the disk cannot be ejected
`static class` | `Types.VbdType`
`static class` | `Types.VdiContainsMetadataOfThisPool` The VDI could not be opened for metadata recovery as it contains the current pool's metadata.
`static class` | `Types.VdiIncompatibleType` This operation cannot be performed because the specified VDI is of an incompatible type (eg: an HA statefile cannot be attached to a guest)
`static class` | `Types.VdiInUse` This operation cannot be performed because this VDI is in use by some other operation
`static class` | `Types.VdiIsAPhysicalDevice` The operation cannot be performed on physical device
`static class` | `Types.VdiIsNotIso` This operation can only be performed on CD VDIs (iso files or CDROM drives)
`static class` | `Types.VdiLocationMissing` This operation cannot be performed because the specified VDI could not be found in the specified SR
`static class` | `Types.VdiMissing` This operation cannot be performed because the specified VDI could not be found on the storage substrate
`static class` | `Types.VdiNeedsVmForMigrate` You attempted to migrate a VDI which is not attached to a running VM.
`static class` | `Types.VdiNotAvailable` This operation cannot be performed because this VDI could not be properly attached to the VM.
`static class` | `Types.VdiNotInMap` This VDI was not mapped to a destination SR in VM.migrate_send operation
`static class` | `Types.VdiNotManaged` This operation cannot be performed because the system does not manage this VDI
`static class` | `Types.VdiOperations`
`static class` | `Types.VdiReadonly` The operation required write access but this VDI is read-only
`static class` | `Types.VdiType`
`static class` | `Types.VersionException`
`static class` | `Types.VifInUse` Network has active VIFs
`static class` | `Types.VifLockingMode`
`static class` | `Types.VifOperations`
`static class` | `Types.VlanTagInvalid` You tried to create a VLAN, but the tag you gave was invalid -- it must be between 0 and 4094.
`static class` | `Types.VmApplianceOperation`
`static class` | `Types.VmAssignedToProtectionPolicy` This VM is assigned to a protection policy.
`static class` | `Types.VmAttachedToMoreThanOneVdiWithTimeoffsetMarkedAsResetOnBoot` You attempted to start a VM that's attached to more than one VDI with a timeoffset marked as reset-on-boot.
`static class` | `Types.VmBadPowerState` You attempted an operation on a VM that was not in an appropriate power state at the time; for example, you attempted to start a VM that was already running.
`static class` | `Types.VmBiosStringsAlreadySet` The BIOS strings for this VM have already been set and cannot be changed anymore.
`static class` | `Types.VmCannotDeleteDefaultTemplate` You cannot delete the specified default template.
`static class` | `Types.VmCheckpointResumeFailed` An error occured while restoring the memory image of the specified virtual machine
`static class` | `Types.VmCheckpointSuspendFailed` An error occured while saving the memory image of the specified virtual machine
`static class` | `Types.VmCrashed` The VM crashed
`static class` | `Types.VmDuplicateVbdDevice` The specified VM has a duplicate VBD device and cannot be started.
`static class` | `Types.VmFailedShutdownAcknowledgment` VM didn't acknowledge the need to shutdown.
`static class` | `Types.VmHalted` The VM unexpectedly halted
`static class` | `Types.VmHasCheckpoint` You attempted to migrate a VM which has a checkpoint.
`static class` | `Types.VmHasPciAttached` This operation could not be performed, because the VM has one or more PCI devices passed through.
`static class` | `Types.VmHasTooManySnapshots` You attempted to migrate a VM with more than one snapshot.
`static class` | `Types.VmHostIncompatibleVersion` This VM operation cannot be performed on an older-versioned host during an upgrade.
`static class` | `Types.VmHvmRequired` HVM is required for this operation
`static class` | `Types.VmIncompatibleWithThisHost` The VM is incompatible with the CPU features of this host.
`static class` | `Types.VmIsPartOfAnAppliance` This operation is not allowed as the VM is part of an appliance.
`static class` | `Types.VmIsProtected` This operation cannot be performed because the specified VM is protected by xHA
`static class` | `Types.VmIsTemplate` The operation attempted is not valid for a template VM
`static class` | `Types.VmMemorySizeTooLow` The specified VM has too little memory to be started.
`static class` | `Types.VmMigrateFailed` An error occurred during the migration process.
`static class` | `Types.VmMissingPvDrivers` You attempted an operation on a VM which requires PV drivers to be installed but the drivers were not detected.
`static class` | `Types.VmNoCrashdumpSr` This VM does not have a crashdump SR specified.
`static class` | `Types.VmNoSuspendSr` This VM does not have a suspend SR specified.
`static class` | `Types.VmNotResidentHere` The specified VM is not currently resident on the specified host.
`static class` | `Types.VmNoVcpus` You need at least 1 VCPU to start a VM
`static class` | `Types.VmOldPvDrivers` You attempted an operation on a VM which requires a more recent version of the PV drivers.
`static class` | `Types.VmOperations`
`static class` | `Types.VmPowerState`
`static class` | `Types.VmppArchiveFrequency`
`static class` | `Types.VmppArchiveMoreFrequentThanBackup` Archive more frequent than backup.
`static class` | `Types.VmppArchiveTargetType`
`static class` | `Types.VmppBackupFrequency`
`static class` | `Types.VmppBackupType`
`static class` | `Types.VmppHasVm` There is at least one VM assigned to this protection policy.
`static class` | `Types.VmRebooted` The VM unexpectedly rebooted
`static class` | `Types.VmRequiresGpu` You attempted to run a VM on a host which doesn't have a pGPU available in the GPU group needed by the VM.
`static class` | `Types.VmRequiresIommu` You attempted to run a VM on a host which doesn't have I/O virtualization (IOMMU/VT-d) enabled, which is needed by the VM.
`static class` | `Types.VmRequiresNetwork` You attempted to run a VM on a host which doesn't have a PIF on a Network needed by the VM.
`static class` | `Types.VmRequiresSr` You attempted to run a VM on a host which doesn't have access to an SR needed by the VM.
`static class` | `Types.VmRequiresVdi` VM cannot be started because it requires a VDI which cannot be attached
`static class` | `Types.VmRevertFailed` An error occured while reverting the specified virtual machine to the specified snapshot
`static class` | `Types.VmsFailedToCooperate` The given VMs failed to release memory when instructed to do so
`static class` | `Types.VmShutdownTimeout` VM failed to shutdown before the timeout expired
`static class` | `Types.VmSnapshotWithQuiesceFailed` The quiesced-snapshot operation failed for an unexpected reason
`static class` | `Types.VmSnapshotWithQuiesceNotSupported` The VSS plug-in is not installed on this virtual machine
`static class` | `Types.VmSnapshotWithQuiescePluginDeosNotRespond` The VSS plug-in cannot be contacted
`static class` | `Types.VmSnapshotWithQuiesceTimeout` The VSS plug-in has timed out
`static class` | `Types.VmToImportIsNotNewerVersion` The VM cannot be imported unforced because it is either the same version or an older version of an existing VM.
`static class` | `Types.VmTooManyVcpus` Too many VCPUs to start this VM
`static class` | `Types.VmUnsafeBoot` You attempted an operation on a VM that was judged to be unsafe by the server.
`static class` | `Types.WlbAuthenticationFailed` The WLB server rejected our configured authentication details.
`static class` | `Types.WlbConnectionRefused` The WLB server refused a connection to XenServer.
`static class` | `Types.WlbConnectionReset` The connection to the WLB server was reset.
`static class` | `Types.WlbDisabled` This pool has wlb-enabled set to false.
`static class` | `Types.WlbInternalError` The WLB server reported an internal error.
`static class` | `Types.WlbMalformedRequest` The WLB server rejected XenServer's request as malformed.
`static class` | `Types.WlbMalformedResponse` The WLB server said something that XenServer wasn't expecting or didn't understand.
`static class` | `Types.WlbNotInitialized` No WLB connection is configured.
`static class` | `Types.WlbTimeout` The communication with the WLB server timed out.
`static class` | `Types.WlbUnknownHost` The configured WLB server name failed to resolve in DNS.
`static class` | `Types.WlbUrlInvalid` The WLB URL is invalid.
`static class` | `Types.WlbXenserverAuthenticationFailed` The WLB server reported that XenServer rejected its configured authentication details.
`static class` | `Types.WlbXenserverConnectionRefused` The WLB server reported that XenServer refused it a connection (even though we're connecting perfectly fine in the other direction).
`static class` | `Types.WlbXenserverMalformedResponse` The WLB server reported that XenServer said something to it that WLB wasn't expecting or didn't understand.
`static class` | `Types.WlbXenserverTimeout` The WLB server reported that communication with XenServer timed out.
`static class` | `Types.WlbXenserverUnknownHost` The WLB server reported that its configured server name for this XenServer instance failed to resolve in DNS.
`static class` | `Types.XapiHookFailed` 3rd party xapi hook failed
`static class` | `Types.XenAPIException` Base class for all XenAPI Exceptions
`static class` | `Types.XenapiMissingPlugin` The requested plugin could not be found.
`static class` | `Types.XenAPIObjects`
`static class` | `Types.XenapiPluginFailure` There was a failure communicating with the plugin.
`static class` | `Types.XenVssReqErrorAddingVolumeToSnapsetFailed` Some volumes to be snapshot could not be added to the VSS snapshot set
`static class` | `Types.XenVssReqErrorCreatingSnapshot` An attempt to create the snapshots failed
`static class` | `Types.XenVssReqErrorCreatingSnapshotXmlString` Could not create the XML string generated by the transportable snapshot
`static class` | `Types.XenVssReqErrorInitFailed` Initialization of the VSS requester failed
`static class` | `Types.XenVssReqErrorNoVolumesSupported` Could not find any volumes supported by the Citrix XenServer Vss Provider
`static class` | `Types.XenVssReqErrorPreparingWriters` An attempt to prepare VSS writers for the snapshot failed
`static class` | `Types.XenVssReqErrorProvNotLoaded` The Citrix XenServer Vss Provider is not loaded
`static class` | `Types.XenVssReqErrorStartSnapshotSetFailed` An attempt to start a new VSS snapshot failed
`static class` | `Types.XmlrpcUnmarshalFailure` The server failed to unmarshal the XMLRPC message; it was expecting one element and received something else.

Constructor Summary
`Types()`

Method Summary
`static Types.AfterApplyGuidance` | `toAfterApplyGuidance(Object object)`
`static Blob` | `toBlob(Object object)`
`static Blob` | `toBlob(Task task, Connection connection)`
`static Blob.Record` | `toBlobRecord(Object object)`
`static Bond` | `toBond(Object object)`
`static Bond` | `toBond(Task task, Connection connection)`
`static Types.BondMode` | `toBondMode(Object object)`
`static Bond.Record` | `toBondRecord(Object object)`
`static Boolean` | `toBoolean(Object object)`
`static Types.Cls` | `toCls(Object object)`
`static Console` | `toConsole(Object object)`
`static Console` | `toConsole(Task task, Connection connection)`
`static Types.ConsoleProtocol` | `toConsoleProtocol(Object object)`
`static Console.Record` | `toConsoleRecord(Object object)`
`static Crashdump` | `toCrashdump(Object object)`
`static Crashdump` | `toCrashdump(Task task, Connection connection)`
`static Crashdump.Record` | `toCrashdumpRecord(Object object)`
`static DataSource.Record` | `toDataSourceRecord(Object object)`
`static Date` | `toDate(Object object)`
`static Double` | `toDouble(Object object)`
`static DRTask` | `toDRTask(Object object)`
`static DRTask` | `toDRTask(Task task, Connection connection)`
`static DRTask.Record` | `toDRTaskRecord(Object object)`
`static Types.EventOperation` | `toEventOperation(Object object)`
`static Event.Record` | `toEventRecord(Object object)`
`static GPUGroup` | `toGPUGroup(Object object)`
`static GPUGroup` | `toGPUGroup(Task task, Connection connection)`
`static GPUGroup.Record` | `toGPUGroupRecord(Object object)`
`static Host` | `toHost(Object object)`
`static Host` | `toHost(Task task, Connection connection)`
`static Types.HostAllowedOperations` | `toHostAllowedOperations(Object object)`
`static HostCpu` | `toHostCpu(Object object)`
`static HostCpu` | `toHostCpu(Task task, Connection connection)`
`static HostCpu.Record` | `toHostCpuRecord(Object object)`
`static HostCrashdump` | `toHostCrashdump(Object object)`
`static HostCrashdump` | `toHostCrashdump(Task task, Connection connection)`
`static HostCrashdump.Record` | `toHostCrashdumpRecord(Object object)`
`static HostMetrics` | `toHostMetrics(Object object)`
`static HostMetrics` | `toHostMetrics(Task task, Connection connection)`
`static HostMetrics.Record` | `toHostMetricsRecord(Object object)`
`static HostPatch` | `toHostPatch(Object object)`
`static HostPatch` | `toHostPatch(Task task, Connection connection)`
`static HostPatch.Record` | `toHostPatchRecord(Object object)`
`static Host.Record` | `toHostRecord(Object object)`
`static Types.IpConfigurationMode` | `toIpConfigurationMode(Object object)`
`static Types.Ipv6ConfigurationMode` | `toIpv6ConfigurationMode(Object object)`
`static Long` | `toLong(Object object)`
`static Map<Blob,Blob.Record>` | `toMapOfBlobBlobRecord(Object object)`
`static Map<Bond,Bond.Record>` | `toMapOfBondBondRecord(Object object)`
`static Map<Console,Console.Record>` | `toMapOfConsoleConsoleRecord(Object object)`
`static Map<Crashdump,Crashdump.Record>` | `toMapOfCrashdumpCrashdumpRecord(Object object)`
`static Map<DRTask,DRTask.Record>` | `toMapOfDRTaskDRTaskRecord(Object object)`
`static Map<GPUGroup,GPUGroup.Record>` | `toMapOfGPUGroupGPUGroupRecord(Object object)`
`static Map<HostCpu,HostCpu.Record>` | `toMapOfHostCpuHostCpuRecord(Object object)`
`static Map<HostCrashdump,HostCrashdump.Record>` | `toMapOfHostCrashdumpHostCrashdumpRecord(Object object)`
`static Map<Host,Host.Record>` | `toMapOfHostHostRecord(Object object)`
`static Map<HostMetrics,HostMetrics.Record>` | `toMapOfHostMetricsHostMetricsRecord(Object object)`
`static Map<HostPatch,HostPatch.Record>` | `toMapOfHostPatchHostPatchRecord(Object object)`
`static Map<Host,Set<String>>` | `toMapOfHostSetOfString(Object object)`
`static Map<Long,Double>` | `toMapOfLongDouble(Object object)`
`static Map<Long,Long>` | `toMapOfLongLong(Object object)`
`static Map<Long,Set<String>>` | `toMapOfLongSetOfString(Object object)`
`static Map<Message,Message.Record>` | `toMapOfMessageMessageRecord(Object object)`
`static Map<Network,Network.Record>` | `toMapOfNetworkNetworkRecord(Object object)`
`static Map<PBD,PBD.Record>` | `toMapOfPBDPBDRecord(Object object)`
`static Map<PCI,PCI.Record>` | `toMapOfPCIPCIRecord(Object object)`
`static Map<PGPU,PGPU.Record>` | `toMapOfPGPUPGPURecord(Object object)`
`static Map<PIFMetrics,PIFMetrics.Record>` | `toMapOfPIFMetricsPIFMetricsRecord(Object object)`
`static Map<PIF,PIF.Record>` | `toMapOfPIFPIFRecord(Object object)`
`static Map<PoolPatch,PoolPatch.Record>` | `toMapOfPoolPatchPoolPatchRecord(Object object)`
`static Map<Pool,Pool.Record>` | `toMapOfPoolPoolRecord(Object object)`
`static Map<Role,Role.Record>` | `toMapOfRoleRoleRecord(Object object)`
`static Map<Secret,Secret.Record>` | `toMapOfSecretSecretRecord(Object object)`
`static Map<SM,SM.Record>` | `toMapOfSMSMRecord(Object object)`
`static Map<SR,SR.Record>` | `toMapOfSRSRRecord(Object object)`
`static Map<String,Blob>` | `toMapOfStringBlob(Object object)`
`static Map<String,Types.HostAllowedOperations>` | `toMapOfStringHostAllowedOperations(Object object)`
`static Map<String,Long>` | `toMapOfStringLong(Object object)`
`static Map<String,Types.NetworkOperations>` | `toMapOfStringNetworkOperations(Object object)`
`static Map<String,Types.StorageOperations>` | `toMapOfStringStorageOperations(Object object)`
`static Map<String,String>` | `toMapOfStringString(Object object)`
`static Map<String,Types.TaskAllowedOperations>` | `toMapOfStringTaskAllowedOperations(Object object)`
`static Map<String,Types.VbdOperations>` | `toMapOfStringVbdOperations(Object object)`
`static Map<String,Types.VdiOperations>` | `toMapOfStringVdiOperations(Object object)`
`static Map<String,Types.VifOperations>` | `toMapOfStringVifOperations(Object object)`
`static Map<String,Types.VmApplianceOperation>` | `toMapOfStringVmApplianceOperation(Object object)`
`static Map<String,Types.VmOperations>` | `toMapOfStringVmOperations(Object object)`
`static Map<Subject,Subject.Record>` | `toMapOfSubjectSubjectRecord(Object object)`
`static Map<Task,Task.Record>` | `toMapOfTaskTaskRecord(Object object)`
`static Map<Tunnel,Tunnel.Record>` | `toMapOfTunnelTunnelRecord(Object object)`
`static Map<VBDMetrics,VBDMetrics.Record>` | `toMapOfVBDMetricsVBDMetricsRecord(Object object)`
`static Map<VBD,VBD.Record>` | `toMapOfVBDVBDRecord(Object object)`
`static Map<VDI,SR>` | `toMapOfVDISR(Object object)`
`static Map<VDI,VDI.Record>` | `toMapOfVDIVDIRecord(Object object)`
`static Map<VGPU,VGPU.Record>` | `toMapOfVGPUVGPURecord(Object object)`
`static Map<VIFMetrics,VIFMetrics.Record>` | `toMapOfVIFMetricsVIFMetricsRecord(Object object)`
`static Map<VIF,Network>` | `toMapOfVIFNetwork(Object object)`
`static Map<VIF,VIF.Record>` | `toMapOfVIFVIFRecord(Object object)`
`static Map<VLAN,VLAN.Record>` | `toMapOfVLANVLANRecord(Object object)`
`static Map<VMAppliance,VMAppliance.Record>` | `toMapOfVMApplianceVMApplianceRecord(Object object)`
`static Map<VMGuestMetrics,VMGuestMetrics.Record>` | `toMapOfVMGuestMetricsVMGuestMetricsRecord(Object object)`
`static Map<VM,Map<String,String>>` | `toMapOfVMMapOfStringString(Object object)`
`static Map<VMMetrics,VMMetrics.Record>` | `toMapOfVMMetricsVMMetricsRecord(Object object)`
`static Map<Types.VmOperations,String>` | `toMapOfVmOperationsString(Object object)`
`static Map<VMPP,VMPP.Record>` | `toMapOfVMPPVMPPRecord(Object object)`
`static Map<VM,Set<String>>` | `toMapOfVMSetOfString(Object object)`
`static Map<VM,String>` | `toMapOfVMString(Object object)`
`static Map<VM,VM.Record>` | `toMapOfVMVMRecord(Object object)`
`static Message` | `toMessage(Object object)`
`static Message` | `toMessage(Task task, Connection connection)`
`static Message.Record` | `toMessageRecord(Object object)`
`static Network` | `toNetwork(Object object)`
`static Network` | `toNetwork(Task task, Connection connection)`
`static Types.NetworkDefaultLockingMode` | `toNetworkDefaultLockingMode(Object object)`
`static Types.NetworkOperations` | `toNetworkOperations(Object object)`
`static Network.Record` | `toNetworkRecord(Object object)`
`static Types.OnBoot` | `toOnBoot(Object object)`
`static Types.OnCrashBehaviour` | `toOnCrashBehaviour(Object object)`
`static Types.OnNormalExit` | `toOnNormalExit(Object object)`
`static PBD` | `toPBD(Object object)`
`static PBD` | `toPBD(Task task, Connection connection)`
`static PBD.Record` | `toPBDRecord(Object object)`
`static PCI` | `toPCI(Object object)`
`static PCI` | `toPCI(Task task, Connection connection)`
`static PCI.Record` | `toPCIRecord(Object object)`
`static PGPU` | `toPGPU(Object object)`
`static PGPU` | `toPGPU(Task task, Connection connection)`
`static PGPU.Record` | `toPGPURecord(Object object)`
`static PIF` | `toPIF(Object object)`
`static PIF` | `toPIF(Task task, Connection connection)`
`static PIFMetrics` | `toPIFMetrics(Object object)`
`static PIFMetrics` | `toPIFMetrics(Task task, Connection connection)`
`static PIFMetrics.Record` | `toPIFMetricsRecord(Object object)`
`static PIF.Record` | `toPIFRecord(Object object)`
`static Pool` | `toPool(Object object)`
`static Pool` | `toPool(Task task, Connection connection)`
`static PoolPatch` | `toPoolPatch(Object object)`
`static PoolPatch` | `toPoolPatch(Task task, Connection connection)`
`static PoolPatch.Record` | `toPoolPatchRecord(Object object)`
`static Pool.Record` | `toPoolRecord(Object object)`
`static Types.PrimaryAddressType` | `toPrimaryAddressType(Object object)`
`static Role` | `toRole(Object object)`
`static Role` | `toRole(Task task, Connection connection)`
`static Role.Record` | `toRoleRecord(Object object)`
`static Secret` | `toSecret(Object object)`
`static Secret` | `toSecret(Task task, Connection connection)`
`static Secret.Record` | `toSecretRecord(Object object)`
`static Session` | `toSession(Object object)`
`static Session` | `toSession(Task task, Connection connection)`
`static Session.Record` | `toSessionRecord(Object object)`
`static Set<Types.AfterApplyGuidance>` | `toSetOfAfterApplyGuidance(Object object)`
`static Set<Blob>` | `toSetOfBlob(Object object)`
`static Set<Bond>` | `toSetOfBond(Object object)`
`static Set<Console>` | `toSetOfConsole(Object object)`
`static Set<Crashdump>` | `toSetOfCrashdump(Object object)`
`static Set<DataSource.Record>` | `toSetOfDataSourceRecord(Object object)`
`static Set<DRTask>` | `toSetOfDRTask(Object object)`
`static Set<Event.Record>` | `toSetOfEventRecord(Object object)`
`static Set<GPUGroup>` | `toSetOfGPUGroup(Object object)`
`static Set<Host>` | `toSetOfHost(Object object)`
`static Set<Types.HostAllowedOperations>` | `toSetOfHostAllowedOperations(Object object)`
`static Set<HostCpu>` | `toSetOfHostCpu(Object object)`
`static Set<HostCrashdump>` | `toSetOfHostCrashdump(Object object)`
`static Set<HostMetrics>` | `toSetOfHostMetrics(Object object)`
`static Set<HostPatch>` | `toSetOfHostPatch(Object object)`
`static Set<Message>` | `toSetOfMessage(Object object)`
`static Set<Network>` | `toSetOfNetwork(Object object)`
`static Set<Types.NetworkOperations>` | `toSetOfNetworkOperations(Object object)`
`static Set<PBD>` | `toSetOfPBD(Object object)`
`static Set<PCI>` | `toSetOfPCI(Object object)`
`static Set<PGPU>` | `toSetOfPGPU(Object object)`
`static Set<PIF>` | `toSetOfPIF(Object object)`
`static Set<PIFMetrics>` | `toSetOfPIFMetrics(Object object)`
`static Set<Pool>` | `toSetOfPool(Object object)`
`static Set<PoolPatch>` | `toSetOfPoolPatch(Object object)`
`static Set<Role>` | `toSetOfRole(Object object)`
`static Set<Secret>` | `toSetOfSecret(Object object)`
`static Set<SM>` | `toSetOfSM(Object object)`
`static Set<SR>` | `toSetOfSR(Object object)`
`static Set<Types.StorageOperations>` | `toSetOfStorageOperations(Object object)`
`static Set<String>` | `toSetOfString(Object object)`
`static Set<Subject>` | `toSetOfSubject(Object object)`
`static Set<Task>` | `toSetOfTask(Object object)`
`static Set<Types.TaskAllowedOperations>` | `toSetOfTaskAllowedOperations(Object object)`
`static Set<Tunnel>` | `toSetOfTunnel(Object object)`
`static Set<VBD>` | `toSetOfVBD(Object object)`
`static Set<VBDMetrics>` | `toSetOfVBDMetrics(Object object)`
`static Set<Types.VbdOperations>` | `toSetOfVbdOperations(Object object)`
`static Set<VDI>` | `toSetOfVDI(Object object)`
`static Set<Types.VdiOperations>` | `toSetOfVdiOperations(Object object)`
`static Set<VGPU>` | `toSetOfVGPU(Object object)`
`static Set<VIF>` | `toSetOfVIF(Object object)`
`static Set<VIFMetrics>` | `toSetOfVIFMetrics(Object object)`
`static Set<Types.VifOperations>` | `toSetOfVifOperations(Object object)`
`static Set<VLAN>` | `toSetOfVLAN(Object object)`
`static Set<VM>` | `toSetOfVM(Object object)`
`static Set<VMAppliance>` | `toSetOfVMAppliance(Object object)`
`static Set<Types.VmApplianceOperation>` | `toSetOfVmApplianceOperation(Object object)`
`static Set<VMGuestMetrics>` | `toSetOfVMGuestMetrics(Object object)`
`static Set<VMMetrics>` | `toSetOfVMMetrics(Object object)`
`static Set<Types.VmOperations>` | `toSetOfVmOperations(Object object)`
`static Set<VMPP>` | `toSetOfVMPP(Object object)`
`static Set<VTPM>` | `toSetOfVTPM(Object object)`
`static SM` | `toSM(Object object)`
`static SM` | `toSM(Task task, Connection connection)`
`static SM.Record` | `toSMRecord(Object object)`
`static SR` | `toSR(Object object)`
`static SR` | `toSR(Task task, Connection connection)`
`static SR.Record` | `toSRRecord(Object object)`
`static Types.StorageOperations` | `toStorageOperations(Object object)`
`static String` | `toString(Object object)`
`static Subject` | `toSubject(Object object)`
`static Subject` | `toSubject(Task task, Connection connection)`
`static Subject.Record` | `toSubjectRecord(Object object)`
`static Task` | `toTask(Object object)`
`static Task` | `toTask(Task task, Connection connection)`
`static Types.TaskAllowedOperations` | `toTaskAllowedOperations(Object object)`
`static Task.Record` | `toTaskRecord(Object object)`
`static Types.TaskStatusType` | `toTaskStatusType(Object object)`
`static Tunnel` | `toTunnel(Object object)`
`static Tunnel` | `toTunnel(Task task, Connection connection)`
`static Tunnel.Record` | `toTunnelRecord(Object object)`
`static User` | `toUser(Object object)`
`static User` | `toUser(Task task, Connection connection)`
`static User.Record` | `toUserRecord(Object object)`
`static VBD` | `toVBD(Object object)`
`static VBD` | `toVBD(Task task, Connection connection)`
`static VBDMetrics` | `toVBDMetrics(Object object)`
`static VBDMetrics` | `toVBDMetrics(Task task, Connection connection)`
`static VBDMetrics.Record` | `toVBDMetricsRecord(Object object)`
`static Types.VbdMode` | `toVbdMode(Object object)`
`static Types.VbdOperations` | `toVbdOperations(Object object)`
`static VBD.Record` | `toVBDRecord(Object object)`
`static Types.VbdType` | `toVbdType(Object object)`
`static VDI` | `toVDI(Object object)`
`static VDI` | `toVDI(Task task, Connection connection)`
`static Types.VdiOperations` | `toVdiOperations(Object object)`
`static VDI.Record` | `toVDIRecord(Object object)`
`static Types.VdiType` | `toVdiType(Object object)`
`static VGPU` | `toVGPU(Object object)`
`static VGPU` | `toVGPU(Task task, Connection connection)`
`static VGPU.Record` | `toVGPURecord(Object object)`
`static VIF` | `toVIF(Object object)`
`static VIF` | `toVIF(Task task, Connection connection)`
`static Types.VifLockingMode` | `toVifLockingMode(Object object)`
`static VIFMetrics` | `toVIFMetrics(Object object)`
`static VIFMetrics` | `toVIFMetrics(Task task, Connection connection)`
`static VIFMetrics.Record` | `toVIFMetricsRecord(Object object)`
`static Types.VifOperations` | `toVifOperations(Object object)`
`static VIF.Record` | `toVIFRecord(Object object)`
`static VLAN` | `toVLAN(Object object)`
`static VLAN` | `toVLAN(Task task, Connection connection)`
`static VLAN.Record` | `toVLANRecord(Object object)`
`static VM` | `toVM(Object object)`
`static VM` | `toVM(Task task, Connection connection)`
`static VMAppliance` | `toVMAppliance(Object object)`
`static VMAppliance` | `toVMAppliance(Task task, Connection connection)`
`static Types.VmApplianceOperation` | `toVmApplianceOperation(Object object)`
`static VMAppliance.Record` | `toVMApplianceRecord(Object object)`
`static VMGuestMetrics` | `toVMGuestMetrics(Object object)`
`static VMGuestMetrics` | `toVMGuestMetrics(Task task, Connection connection)`
`static VMGuestMetrics.Record` | `toVMGuestMetricsRecord(Object object)`
`static VMMetrics` | `toVMMetrics(Object object)`
`static VMMetrics` | `toVMMetrics(Task task, Connection connection)`
`static VMMetrics.Record` | `toVMMetricsRecord(Object object)`
`static Types.VmOperations` | `toVmOperations(Object object)`
`static Types.VmPowerState` | `toVmPowerState(Object object)`
`static VMPP` | `toVMPP(Object object)`
`static VMPP` | `toVMPP(Task task, Connection connection)`
`static Types.VmppArchiveFrequency` | `toVmppArchiveFrequency(Object object)`
`static Types.VmppArchiveTargetType` | `toVmppArchiveTargetType(Object object)`
`static Types.VmppBackupFrequency` | `toVmppBackupFrequency(Object object)`
`static Types.VmppBackupType` | `toVmppBackupType(Object object)`
`static VMPP.Record` | `toVMPPRecord(Object object)`
`static VM.Record` | `toVMRecord(Object object)`
`static VTPM` | `toVTPM(Object object)`
`static VTPM` | `toVTPM(Task task, Connection connection)`
`static VTPM.Record` | `toVTPMRecord(Object object)`
`static Types.XenAPIObjects` | `toXenAPIObjects(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Types

    public Types()

Method Detail

### toString

    public static String toString(Object object)

### toLong

    public static Long toLong(Object object)

### toDouble

    public static Double toDouble(Object object)

### toBoolean

    public static Boolean toBoolean(Object object)

### toDate

    public static Date toDate(Object object)

### toXenAPIObjects

    public static Types.XenAPIObjects toXenAPIObjects(Object object)

### toAfterApplyGuidance

    public static Types.AfterApplyGuidance toAfterApplyGuidance(Object object)

### toBondMode

    public static Types.BondMode toBondMode(Object object)

### toCls

    public static Types.Cls toCls(Object object)

### toConsoleProtocol

    public static Types.ConsoleProtocol toConsoleProtocol(Object object)

### toEventOperation

    public static Types.EventOperation toEventOperation(Object object)

### toHostAllowedOperations

    public static Types.HostAllowedOperations toHostAllowedOperations(Object object)

### toIpConfigurationMode

    public static Types.IpConfigurationMode toIpConfigurationMode(Object object)

### toIpv6ConfigurationMode

    public static Types.Ipv6ConfigurationMode toIpv6ConfigurationMode(Object object)

### toNetworkDefaultLockingMode

    public static Types.NetworkDefaultLockingMode toNetworkDefaultLockingMode(Object object)

### toNetworkOperations

    public static Types.NetworkOperations toNetworkOperations(Object object)

### toOnBoot

    public static Types.OnBoot toOnBoot(Object object)

### toOnCrashBehaviour

    public static Types.OnCrashBehaviour toOnCrashBehaviour(Object object)

### toOnNormalExit

    public static Types.OnNormalExit toOnNormalExit(Object object)

### toPrimaryAddressType

    public static Types.PrimaryAddressType toPrimaryAddressType(Object object)

### toStorageOperations

    public static Types.StorageOperations toStorageOperations(Object object)

### toTaskAllowedOperations

    public static Types.TaskAllowedOperations toTaskAllowedOperations(Object object)

### toTaskStatusType

    public static Types.TaskStatusType toTaskStatusType(Object object)

### toVbdMode

    public static Types.VbdMode toVbdMode(Object object)

### toVbdOperations

    public static Types.VbdOperations toVbdOperations(Object object)

### toVbdType

    public static Types.VbdType toVbdType(Object object)

### toVdiOperations

    public static Types.VdiOperations toVdiOperations(Object object)

### toVdiType

    public static Types.VdiType toVdiType(Object object)

### toVifLockingMode

    public static Types.VifLockingMode toVifLockingMode(Object object)

### toVifOperations

    public static Types.VifOperations toVifOperations(Object object)

### toVmApplianceOperation

    public static Types.VmApplianceOperation toVmApplianceOperation(Object object)

### toVmOperations

    public static Types.VmOperations toVmOperations(Object object)

### toVmPowerState

    public static Types.VmPowerState toVmPowerState(Object object)

### toVmppArchiveFrequency

    public static Types.VmppArchiveFrequency toVmppArchiveFrequency(Object object)

### toVmppArchiveTargetType

    public static Types.VmppArchiveTargetType toVmppArchiveTargetType(Object object)

### toVmppBackupFrequency

    public static Types.VmppBackupFrequency toVmppBackupFrequency(Object object)

### toVmppBackupType

    public static Types.VmppBackupType toVmppBackupType(Object object)

### toSetOfString

    public static Set<String> toSetOfString(Object object)

### toSetOfAfterApplyGuidance

    public static Set<Types.AfterApplyGuidance> toSetOfAfterApplyGuidance(Object object)

### toSetOfHostAllowedOperations

    public static Set<Types.HostAllowedOperations> toSetOfHostAllowedOperations(Object object)

### toSetOfNetworkOperations

    public static Set<Types.NetworkOperations> toSetOfNetworkOperations(Object object)

### toSetOfStorageOperations

    public static Set<Types.StorageOperations> toSetOfStorageOperations(Object object)

### toSetOfTaskAllowedOperations

    public static Set<Types.TaskAllowedOperations> toSetOfTaskAllowedOperations(Object object)

### toSetOfVbdOperations

    public static Set<Types.VbdOperations> toSetOfVbdOperations(Object object)

### toSetOfVdiOperations

    public static Set<Types.VdiOperations> toSetOfVdiOperations(Object object)

### toSetOfVifOperations

    public static Set<Types.VifOperations> toSetOfVifOperations(Object object)

### toSetOfVmApplianceOperation

    public static Set<Types.VmApplianceOperation> toSetOfVmApplianceOperation(Object object)

### toSetOfVmOperations

    public static Set<Types.VmOperations> toSetOfVmOperations(Object object)

### toSetOfBond

    public static Set<Bond> toSetOfBond(Object object)

### toSetOfDRTask

    public static Set<DRTask> toSetOfDRTask(Object object)

### toSetOfGPUGroup

    public static Set<GPUGroup> toSetOfGPUGroup(Object object)

### toSetOfPBD

    public static Set<PBD> toSetOfPBD(Object object)

### toSetOfPCI

    public static Set<PCI> toSetOfPCI(Object object)

### toSetOfPGPU

    public static Set<PGPU> toSetOfPGPU(Object object)

### toSetOfPIF

    public static Set<PIF> toSetOfPIF(Object object)

### toSetOfPIFMetrics

    public static Set<PIFMetrics> toSetOfPIFMetrics(Object object)

### toSetOfSM

    public static Set<SM> toSetOfSM(Object object)

### toSetOfSR

    public static Set<SR> toSetOfSR(Object object)

### toSetOfVBD

    public static Set<VBD> toSetOfVBD(Object object)

### toSetOfVBDMetrics

    public static Set<VBDMetrics> toSetOfVBDMetrics(Object object)

### toSetOfVDI

    public static Set<VDI> toSetOfVDI(Object object)

### toSetOfVGPU

    public static Set<VGPU> toSetOfVGPU(Object object)

### toSetOfVIF

    public static Set<VIF> toSetOfVIF(Object object)

### toSetOfVIFMetrics

    public static Set<VIFMetrics> toSetOfVIFMetrics(Object object)

### toSetOfVLAN

    public static Set<VLAN> toSetOfVLAN(Object object)

### toSetOfVM

    public static Set<VM> toSetOfVM(Object object)

### toSetOfVMPP

    public static Set<VMPP> toSetOfVMPP(Object object)

### toSetOfVMAppliance

    public static Set<VMAppliance> toSetOfVMAppliance(Object object)

### toSetOfVMGuestMetrics

    public static Set<VMGuestMetrics> toSetOfVMGuestMetrics(Object object)

### toSetOfVMMetrics

    public static Set<VMMetrics> toSetOfVMMetrics(Object object)

### toSetOfVTPM

    public static Set<VTPM> toSetOfVTPM(Object object)

### toSetOfBlob

    public static Set<Blob> toSetOfBlob(Object object)

### toSetOfConsole

    public static Set<Console> toSetOfConsole(Object object)

### toSetOfCrashdump

    public static Set<Crashdump> toSetOfCrashdump(Object object)

### toSetOfHost

    public static Set<Host> toSetOfHost(Object object)

### toSetOfHostCpu

    public static Set<HostCpu> toSetOfHostCpu(Object object)

### toSetOfHostCrashdump

    public static Set<HostCrashdump> toSetOfHostCrashdump(Object object)

### toSetOfHostMetrics

    public static Set<HostMetrics> toSetOfHostMetrics(Object object)

### toSetOfHostPatch

    public static Set<HostPatch> toSetOfHostPatch(Object object)

### toSetOfMessage

    public static Set<Message> toSetOfMessage(Object object)

### toSetOfNetwork

    public static Set<Network> toSetOfNetwork(Object object)

### toSetOfPool

    public static Set<Pool> toSetOfPool(Object object)

### toSetOfPoolPatch

    public static Set<PoolPatch> toSetOfPoolPatch(Object object)

### toSetOfRole

    public static Set<Role> toSetOfRole(Object object)

### toSetOfSecret

    public static Set<Secret> toSetOfSecret(Object object)

### toSetOfSubject

    public static Set<Subject> toSetOfSubject(Object object)

### toSetOfTask

    public static Set<Task> toSetOfTask(Object object)

### toSetOfTunnel

    public static Set<Tunnel> toSetOfTunnel(Object object)

### toSetOfDataSourceRecord

    public static Set<DataSource.Record> toSetOfDataSourceRecord(Object object)

### toSetOfEventRecord

    public static Set<Event.Record> toSetOfEventRecord(Object object)

### toMapOfStringString

    public static Map<String,String> toMapOfStringString(Object object)

### toMapOfStringLong

    public static Map<String,Long> toMapOfStringLong(Object object)

### toMapOfStringHostAllowedOperations

    public static Map<String,Types.HostAllowedOperations> toMapOfStringHostAllowedOperations(Object object)

### toMapOfStringNetworkOperations

    public static Map<String,Types.NetworkOperations> toMapOfStringNetworkOperations(Object object)

### toMapOfStringStorageOperations

    public static Map<String,Types.StorageOperations> toMapOfStringStorageOperations(Object object)

### toMapOfStringTaskAllowedOperations

    public static Map<String,Types.TaskAllowedOperations> toMapOfStringTaskAllowedOperations(Object object)

### toMapOfStringVbdOperations

    public static Map<String,Types.VbdOperations> toMapOfStringVbdOperations(Object object)

### toMapOfStringVdiOperations

    public static Map<String,Types.VdiOperations> toMapOfStringVdiOperations(Object object)

### toMapOfStringVifOperations

    public static Map<String,Types.VifOperations> toMapOfStringVifOperations(Object object)

### toMapOfStringVmApplianceOperation

    public static Map<String,Types.VmApplianceOperation> toMapOfStringVmApplianceOperation(Object object)

### toMapOfStringVmOperations

    public static Map<String,Types.VmOperations> toMapOfStringVmOperations(Object object)

### toMapOfStringBlob

    public static Map<String,Blob> toMapOfStringBlob(Object object)

### toMapOfLongLong

    public static Map<Long,Long> toMapOfLongLong(Object object)

### toMapOfLongDouble

    public static Map<Long,Double> toMapOfLongDouble(Object object)

### toMapOfLongSetOfString

    public static Map<Long,Set<String>> toMapOfLongSetOfString(Object object)

### toMapOfVmOperationsString

    public static Map<Types.VmOperations,String> toMapOfVmOperationsString(Object object)

### toMapOfBondBondRecord

    public static Map<Bond,Bond.Record> toMapOfBondBondRecord(Object object)

### toMapOfDRTaskDRTaskRecord

    public static Map<DRTask,DRTask.Record> toMapOfDRTaskDRTaskRecord(Object object)

### toMapOfGPUGroupGPUGroupRecord

    public static Map<GPUGroup,GPUGroup.Record> toMapOfGPUGroupGPUGroupRecord(Object object)

### toMapOfPBDPBDRecord

    public static Map<PBD,PBD.Record> toMapOfPBDPBDRecord(Object object)

### toMapOfPCIPCIRecord

    public static Map<PCI,PCI.Record> toMapOfPCIPCIRecord(Object object)

### toMapOfPGPUPGPURecord

    public static Map<PGPU,PGPU.Record> toMapOfPGPUPGPURecord(Object object)

### toMapOfPIFPIFRecord

    public static Map<PIF,PIF.Record> toMapOfPIFPIFRecord(Object object)

### toMapOfPIFMetricsPIFMetricsRecord

    public static Map<PIFMetrics,PIFMetrics.Record> toMapOfPIFMetricsPIFMetricsRecord(Object object)

### toMapOfSMSMRecord

    public static Map<SM,SM.Record> toMapOfSMSMRecord(Object object)

### toMapOfSRSRRecord

    public static Map<SR,SR.Record> toMapOfSRSRRecord(Object object)

### toMapOfVBDVBDRecord

    public static Map<VBD,VBD.Record> toMapOfVBDVBDRecord(Object object)

### toMapOfVBDMetricsVBDMetricsRecord

    public static Map<VBDMetrics,VBDMetrics.Record> toMapOfVBDMetricsVBDMetricsRecord(Object object)

### toMapOfVDISR

    public static Map<VDI,SR> toMapOfVDISR(Object object)

### toMapOfVDIVDIRecord

    public static Map<VDI,VDI.Record> toMapOfVDIVDIRecord(Object object)

### toMapOfVGPUVGPURecord

    public static Map<VGPU,VGPU.Record> toMapOfVGPUVGPURecord(Object object)

### toMapOfVIFNetwork

    public static Map<VIF,Network> toMapOfVIFNetwork(Object object)

### toMapOfVIFVIFRecord

    public static Map<VIF,VIF.Record> toMapOfVIFVIFRecord(Object object)

### toMapOfVIFMetricsVIFMetricsRecord

    public static Map<VIFMetrics,VIFMetrics.Record> toMapOfVIFMetricsVIFMetricsRecord(Object object)

### toMapOfVLANVLANRecord

    public static Map<VLAN,VLAN.Record> toMapOfVLANVLANRecord(Object object)

### toMapOfVMString

    public static Map<VM,String> toMapOfVMString(Object object)

### toMapOfVMSetOfString

    public static Map<VM,Set<String>> toMapOfVMSetOfString(Object object)

### toMapOfVMMapOfStringString

    public static Map<VM,Map<String,String>> toMapOfVMMapOfStringString(Object object)

### toMapOfVMVMRecord

    public static Map<VM,VM.Record> toMapOfVMVMRecord(Object object)

### toMapOfVMPPVMPPRecord

    public static Map<VMPP,VMPP.Record> toMapOfVMPPVMPPRecord(Object object)

### toMapOfVMApplianceVMApplianceRecord

    public static Map<VMAppliance,VMAppliance.Record> toMapOfVMApplianceVMApplianceRecord(Object object)

### toMapOfVMGuestMetricsVMGuestMetricsRecord

    public static Map<VMGuestMetrics,VMGuestMetrics.Record> toMapOfVMGuestMetricsVMGuestMetricsRecord(Object object)

### toMapOfVMMetricsVMMetricsRecord

    public static Map<VMMetrics,VMMetrics.Record> toMapOfVMMetricsVMMetricsRecord(Object object)

### toMapOfBlobBlobRecord

    public static Map<Blob,Blob.Record> toMapOfBlobBlobRecord(Object object)

### toMapOfConsoleConsoleRecord

    public static Map<Console,Console.Record> toMapOfConsoleConsoleRecord(Object object)

### toMapOfCrashdumpCrashdumpRecord

    public static Map<Crashdump,Crashdump.Record> toMapOfCrashdumpCrashdumpRecord(Object object)

### toMapOfHostSetOfString

    public static Map<Host,Set<String>> toMapOfHostSetOfString(Object object)

### toMapOfHostHostRecord

    public static Map<Host,Host.Record> toMapOfHostHostRecord(Object object)

### toMapOfHostCpuHostCpuRecord

    public static Map<HostCpu,HostCpu.Record> toMapOfHostCpuHostCpuRecord(Object object)

### toMapOfHostCrashdumpHostCrashdumpRecord

    public static Map<HostCrashdump,HostCrashdump.Record> toMapOfHostCrashdumpHostCrashdumpRecord(Object object)

### toMapOfHostMetricsHostMetricsRecord

    public static Map<HostMetrics,HostMetrics.Record> toMapOfHostMetricsHostMetricsRecord(Object object)

### toMapOfHostPatchHostPatchRecord

    public static Map<HostPatch,HostPatch.Record> toMapOfHostPatchHostPatchRecord(Object object)

### toMapOfMessageMessageRecord

    public static Map<Message,Message.Record> toMapOfMessageMessageRecord(Object object)

### toMapOfNetworkNetworkRecord

    public static Map<Network,Network.Record> toMapOfNetworkNetworkRecord(Object object)

### toMapOfPoolPoolRecord

    public static Map<Pool,Pool.Record> toMapOfPoolPoolRecord(Object object)

### toMapOfPoolPatchPoolPatchRecord

    public static Map<PoolPatch,PoolPatch.Record> toMapOfPoolPatchPoolPatchRecord(Object object)

### toMapOfRoleRoleRecord

    public static Map<Role,Role.Record> toMapOfRoleRoleRecord(Object object)

### toMapOfSecretSecretRecord

    public static Map<Secret,Secret.Record> toMapOfSecretSecretRecord(Object object)

### toMapOfSubjectSubjectRecord

    public static Map<Subject,Subject.Record> toMapOfSubjectSubjectRecord(Object object)

### toMapOfTaskTaskRecord

    public static Map<Task,Task.Record> toMapOfTaskTaskRecord(Object object)

### toMapOfTunnelTunnelRecord

    public static Map<Tunnel,Tunnel.Record> toMapOfTunnelTunnelRecord(Object object)

### toBond

    public static Bond toBond(Object object)

### toDRTask

    public static DRTask toDRTask(Object object)

### toGPUGroup

    public static GPUGroup toGPUGroup(Object object)

### toPBD

    public static PBD toPBD(Object object)

### toPCI

    public static PCI toPCI(Object object)

### toPGPU

    public static PGPU toPGPU(Object object)

### toPIF

    public static PIF toPIF(Object object)

### toPIFMetrics

    public static PIFMetrics toPIFMetrics(Object object)

### toSM

    public static SM toSM(Object object)

### toSR

    public static SR toSR(Object object)

### toVBD

    public static VBD toVBD(Object object)

### toVBDMetrics

    public static VBDMetrics toVBDMetrics(Object object)

### toVDI

    public static VDI toVDI(Object object)

### toVGPU

    public static VGPU toVGPU(Object object)

### toVIF

    public static VIF toVIF(Object object)

### toVIFMetrics

    public static VIFMetrics toVIFMetrics(Object object)

### toVLAN

    public static VLAN toVLAN(Object object)

### toVM

    public static VM toVM(Object object)

### toVMPP

    public static VMPP toVMPP(Object object)

### toVMAppliance

    public static VMAppliance toVMAppliance(Object object)

### toVMGuestMetrics

    public static VMGuestMetrics toVMGuestMetrics(Object object)

### toVMMetrics

    public static VMMetrics toVMMetrics(Object object)

### toVTPM

    public static VTPM toVTPM(Object object)

### toBlob

    public static Blob toBlob(Object object)

### toConsole

    public static Console toConsole(Object object)

### toCrashdump

    public static Crashdump toCrashdump(Object object)

### toHost

    public static Host toHost(Object object)

### toHostCpu

    public static HostCpu toHostCpu(Object object)

### toHostCrashdump

    public static HostCrashdump toHostCrashdump(Object object)

### toHostMetrics

    public static HostMetrics toHostMetrics(Object object)

### toHostPatch

    public static HostPatch toHostPatch(Object object)

### toMessage

    public static Message toMessage(Object object)

### toNetwork

    public static Network toNetwork(Object object)

### toPool

    public static Pool toPool(Object object)

### toPoolPatch

    public static PoolPatch toPoolPatch(Object object)

### toRole

    public static Role toRole(Object object)

### toSecret

    public static Secret toSecret(Object object)

### toSession

    public static Session toSession(Object object)

### toSubject

    public static Subject toSubject(Object object)

### toTask

    public static Task toTask(Object object)

### toTunnel

    public static Tunnel toTunnel(Object object)

### toUser

    public static User toUser(Object object)

### toBondRecord

    public static Bond.Record toBondRecord(Object object)

### toDRTaskRecord

    public static DRTask.Record toDRTaskRecord(Object object)

### toGPUGroupRecord

    public static GPUGroup.Record toGPUGroupRecord(Object object)

### toPBDRecord

    public static PBD.Record toPBDRecord(Object object)

### toPCIRecord

    public static PCI.Record toPCIRecord(Object object)

### toPGPURecord

    public static PGPU.Record toPGPURecord(Object object)

### toPIFRecord

    public static PIF.Record toPIFRecord(Object object)

### toPIFMetricsRecord

    public static PIFMetrics.Record toPIFMetricsRecord(Object object)

### toSMRecord

    public static SM.Record toSMRecord(Object object)

### toSRRecord

    public static SR.Record toSRRecord(Object object)

### toVBDRecord

    public static VBD.Record toVBDRecord(Object object)

### toVBDMetricsRecord

    public static VBDMetrics.Record toVBDMetricsRecord(Object object)

### toVDIRecord

    public static VDI.Record toVDIRecord(Object object)

### toVGPURecord

    public static VGPU.Record toVGPURecord(Object object)

### toVIFRecord

    public static VIF.Record toVIFRecord(Object object)

### toVIFMetricsRecord

    public static VIFMetrics.Record toVIFMetricsRecord(Object object)

### toVLANRecord

    public static VLAN.Record toVLANRecord(Object object)

### toVMRecord

    public static VM.Record toVMRecord(Object object)

### toVMPPRecord

    public static VMPP.Record toVMPPRecord(Object object)

### toVMApplianceRecord

    public static VMAppliance.Record toVMApplianceRecord(Object object)

### toVMGuestMetricsRecord

    public static VMGuestMetrics.Record toVMGuestMetricsRecord(Object object)

### toVMMetricsRecord

    public static VMMetrics.Record toVMMetricsRecord(Object object)

### toVTPMRecord

    public static VTPM.Record toVTPMRecord(Object object)

### toBlobRecord

    public static Blob.Record toBlobRecord(Object object)

### toConsoleRecord

    public static Console.Record toConsoleRecord(Object object)

### toCrashdumpRecord

    public static Crashdump.Record toCrashdumpRecord(Object object)

### toDataSourceRecord

    public static DataSource.Record toDataSourceRecord(Object object)

### toEventRecord

    public static Event.Record toEventRecord(Object object)

### toHostRecord

    public static Host.Record toHostRecord(Object object)

### toHostCpuRecord

    public static HostCpu.Record toHostCpuRecord(Object object)

### toHostCrashdumpRecord

    public static HostCrashdump.Record toHostCrashdumpRecord(Object object)

### toHostMetricsRecord

    public static HostMetrics.Record toHostMetricsRecord(Object object)

### toHostPatchRecord

    public static HostPatch.Record toHostPatchRecord(Object object)

### toMessageRecord

    public static Message.Record toMessageRecord(Object object)

### toNetworkRecord

    public static Network.Record toNetworkRecord(Object object)

### toPoolRecord

    public static Pool.Record toPoolRecord(Object object)

### toPoolPatchRecord

    public static PoolPatch.Record toPoolPatchRecord(Object object)

### toRoleRecord

    public static Role.Record toRoleRecord(Object object)

### toSecretRecord

    public static Secret.Record toSecretRecord(Object object)

### toSessionRecord

    public static Session.Record toSessionRecord(Object object)

### toSubjectRecord

    public static Subject.Record toSubjectRecord(Object object)

### toTaskRecord

    public static Task.Record toTaskRecord(Object object)

### toTunnelRecord

    public static Tunnel.Record toTunnelRecord(Object object)

### toUserRecord

    public static User.Record toUserRecord(Object object)

### toBond

    public static Bond toBond(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toDRTask

    public static DRTask toDRTask(Task task,
                                  Connection connection)
                           throws Types.XenAPIException,
                                  Types.BadServerResponse,
                                  org.apache.xmlrpc.XmlRpcException,
                                  Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toGPUGroup

    public static GPUGroup toGPUGroup(Task task,
                                      Connection connection)
                               throws Types.XenAPIException,
                                      Types.BadServerResponse,
                                      org.apache.xmlrpc.XmlRpcException,
                                      Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPBD

    public static PBD toPBD(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPCI

    public static PCI toPCI(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPGPU

    public static PGPU toPGPU(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPIF

    public static PIF toPIF(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPIFMetrics

    public static PIFMetrics toPIFMetrics(Task task,
                                          Connection connection)
                                   throws Types.XenAPIException,
                                          Types.BadServerResponse,
                                          org.apache.xmlrpc.XmlRpcException,
                                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toSM

    public static SM toSM(Task task,
                          Connection connection)
                   throws Types.XenAPIException,
                          Types.BadServerResponse,
                          org.apache.xmlrpc.XmlRpcException,
                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toSR

    public static SR toSR(Task task,
                          Connection connection)
                   throws Types.XenAPIException,
                          Types.BadServerResponse,
                          org.apache.xmlrpc.XmlRpcException,
                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVBD

    public static VBD toVBD(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVBDMetrics

    public static VBDMetrics toVBDMetrics(Task task,
                                          Connection connection)
                                   throws Types.XenAPIException,
                                          Types.BadServerResponse,
                                          org.apache.xmlrpc.XmlRpcException,
                                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVDI

    public static VDI toVDI(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVGPU

    public static VGPU toVGPU(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVIF

    public static VIF toVIF(Task task,
                            Connection connection)
                     throws Types.XenAPIException,
                            Types.BadServerResponse,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVIFMetrics

    public static VIFMetrics toVIFMetrics(Task task,
                                          Connection connection)
                                   throws Types.XenAPIException,
                                          Types.BadServerResponse,
                                          org.apache.xmlrpc.XmlRpcException,
                                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVLAN

    public static VLAN toVLAN(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVM

    public static VM toVM(Task task,
                          Connection connection)
                   throws Types.XenAPIException,
                          Types.BadServerResponse,
                          org.apache.xmlrpc.XmlRpcException,
                          Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVMPP

    public static VMPP toVMPP(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVMAppliance

    public static VMAppliance toVMAppliance(Task task,
                                            Connection connection)
                                     throws Types.XenAPIException,
                                            Types.BadServerResponse,
                                            org.apache.xmlrpc.XmlRpcException,
                                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVMGuestMetrics

    public static VMGuestMetrics toVMGuestMetrics(Task task,
                                                  Connection connection)
                                           throws Types.XenAPIException,
                                                  Types.BadServerResponse,
                                                  org.apache.xmlrpc.XmlRpcException,
                                                  Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVMMetrics

    public static VMMetrics toVMMetrics(Task task,
                                        Connection connection)
                                 throws Types.XenAPIException,
                                        Types.BadServerResponse,
                                        org.apache.xmlrpc.XmlRpcException,
                                        Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toVTPM

    public static VTPM toVTPM(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toBlob

    public static Blob toBlob(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toConsole

    public static Console toConsole(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toCrashdump

    public static Crashdump toCrashdump(Task task,
                                        Connection connection)
                                 throws Types.XenAPIException,
                                        Types.BadServerResponse,
                                        org.apache.xmlrpc.XmlRpcException,
                                        Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toHost

    public static Host toHost(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toHostCpu

    public static HostCpu toHostCpu(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toHostCrashdump

    public static HostCrashdump toHostCrashdump(Task task,
                                                Connection connection)
                                         throws Types.XenAPIException,
                                                Types.BadServerResponse,
                                                org.apache.xmlrpc.XmlRpcException,
                                                Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toHostMetrics

    public static HostMetrics toHostMetrics(Task task,
                                            Connection connection)
                                     throws Types.XenAPIException,
                                            Types.BadServerResponse,
                                            org.apache.xmlrpc.XmlRpcException,
                                            Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toHostPatch

    public static HostPatch toHostPatch(Task task,
                                        Connection connection)
                                 throws Types.XenAPIException,
                                        Types.BadServerResponse,
                                        org.apache.xmlrpc.XmlRpcException,
                                        Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toMessage

    public static Message toMessage(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toNetwork

    public static Network toNetwork(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPool

    public static Pool toPool(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toPoolPatch

    public static PoolPatch toPoolPatch(Task task,
                                        Connection connection)
                                 throws Types.XenAPIException,
                                        Types.BadServerResponse,
                                        org.apache.xmlrpc.XmlRpcException,
                                        Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toRole

    public static Role toRole(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toSecret

    public static Secret toSecret(Task task,
                                  Connection connection)
                           throws Types.XenAPIException,
                                  Types.BadServerResponse,
                                  org.apache.xmlrpc.XmlRpcException,
                                  Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toSession

    public static Session toSession(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toSubject

    public static Subject toSubject(Task task,
                                    Connection connection)
                             throws Types.XenAPIException,
                                    Types.BadServerResponse,
                                    org.apache.xmlrpc.XmlRpcException,
                                    Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toTask

    public static Task toTask(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toTunnel

    public static Tunnel toTunnel(Task task,
                                  Connection connection)
                           throws Types.XenAPIException,
                                  Types.BadServerResponse,
                                  org.apache.xmlrpc.XmlRpcException,
                                  Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

### toUser

    public static User toUser(Task task,
                              Connection connection)
                       throws Types.XenAPIException,
                              Types.BadServerResponse,
                              org.apache.xmlrpc.XmlRpcException,
                              Types.BadAsyncResult

  Throws:
    `Types.XenAPIException`
    `Types.BadServerResponse`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.BadAsyncResult`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD